var otbcommon = {
	initprefs: function(otb) {
		var otb_iconSize = prefService.getIntPref("otb.opt.iconsize");
		if (otb_iconSize == '1') { otb.getElementById("orkut-toolbar").setAttribute("iconsize","big");}
		else { otb.getElementById("orkut-toolbar").setAttribute("iconsize","small");}
		
		var show_BMMenu = prefService.getBoolPref("otb.opt.showBMMenu");
		otb.getElementById("otb_bookmarks").hidden = !show_BMMenu;
		otb.getElementById("otbBookmarksSeparator").hidden = !show_BMMenu;
		otb.getElementById("otb_ctxt_bookmarks").hidden = !show_BMMenu;
		otb.getElementById("otb_ctxt_bookmarksSeparator").hidden = !show_BMMenu;
		
		var show_profSubMenu = prefService.getBoolPref("otb.opt.profSubMenu");
		otb.getElementById("otb_bookmarks_prof").hidden = !show_profSubMenu;

		var show_commSubMenu = prefService.getBoolPref("otb.opt.commSubMenu");
		otb.getElementById("otb_bookmarks_comm").hidden = !show_commSubMenu;

		var show_ContextMenu = prefService.getBoolPref("otb.opt.ContextMenu");
		otb.getElementById("context-otb").hidden = !show_ContextMenu;
	
		var show_ContextLinks = prefService.getBoolPref("otb.opt.ContextLinks");
		otb.getElementById("otb_ctxt_main").hidden = !show_ContextLinks;
		otb.getElementById("otb_ctxt_sep1").hidden = !show_ContextLinks;

		var autoHideEnabled = prefService.getBoolPref("otb.opt.AutoHide");
		otb.getElementById('otbAutoHideEnabled').setAttribute('disabled',!autoHideEnabled)
		
		var HideSearch = prefService.getBoolPref("otb.opt.HideSearch");
		otb.getElementById("otbSearchSeparator").hidden = !HideSearch;
		otb.getElementById("otb_SearchContainer").hidden = !HideSearch;
		otb.getElementById("SearchSplitter").hidden = !HideSearch;
		
		var firstRun = prefService.getIntPref("otb.opt.firstRun");
		if (firstRun < 1) otbcommon.firstRunAlert(firstRun);

	},
	
	firstRunAlert: function (firstRun) {
		prefService.setIntPref("otb.opt.firstRun", 1);
        var otb_stringBundle = document.getElementById("otbstrings");
		alert(otb_stringBundle.getString("otb.firstRun"));
		goURL(otb_stringBundle.getString("otb.firstRun.url"));
	},
	
	promptWindow: function (promptString, initialValue, Title){
		var promptService = Components.classes["@mozilla.org/embedcomp/prompt-service;1"].getService(Components.interfaces.nsIPromptService);
		var result = {value:initialValue};
		promptService.prompt(null, Title, promptString, result, null, {value:0});		
		
		if (result && result.value != initialValue) { return result.value; }
		else { return null; }
	},
	
	ShowOptions: function (type) {
		window.openDialog("chrome://orkutbar/content/options/options.xul", "otb-options-dialog", "centerscreen,chrome,modal", otb_document, type);
	},
	
	ShowSmiles: function () {
	    window.openDialog("chrome://orkutbar/content/smiles.xul", "otb-smiles-dialog", "centerscreen,chrome,modal");
	},
	
	Replace: function (LookFor, ReplaceBy, string) { 
	if(string) {
//		var LookFor = new Array("'","\n");
//		var ReplaceBy = new Array("\\'","\\n");
		var ResultString = string;
		for(i=0;i<=(LookFor.length-1);i++){ 
			ResultString = ResultString.replace(new RegExp(LookFor[i], "gi"), ReplaceBy[i]);
		};
		return ResultString; }
	else { return ""; };
	},

	OpenUrl: function (url, openIn, openBG) {
		isBlank = window.content.location.toString().indexOf("about:blank")>=0
		if (openIn==1) { window.open(url); }
		else if (openIn==2 || isBlank) { window._content.document.location=url; }
		else {
			var newTab = window.getBrowser().addTab(url);
			if (openBG != true) window.getBrowser().selectedTab = newTab;
		}		
	},
    
    appendClone: function(parentNode, sourceElement){
        var node = document.getElementById(parentNode);
        if (!node.hasChildNodes()) {
            node.appendChild(document.getElementById(sourceElement).cloneNode(1));
        }
    }
}

function goURL(url) {
    openIn = prefService.getIntPref("otb.opt.open_in");
	openBG = prefService.getBoolPref("otb.opt.open_in.newTabBG");
	otbcommon.OpenUrl(url,openIn, openBG);
}

String.prototype.trim = function() { return this.replace(new RegExp("^\\s+|\\s+$", "gi"), ""); } // Trims leading and trailing spaces from a string
